using ASHermed.SinoInterface.Api.ContractModel.Coupon.Entity;
using ASHermed.SinoInterface.Api.ContractModel.Coupon.Model;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.IRepository.App
{
    public interface IOnlineCouponRepository
    {
        Online_Coupon GetOnlineCoupon(int id, int language);
        List<Online_Coupon> GetOnlineCouponList(List<int> ids, int language);
        int InsertCoupon(Online_Coupon model);
        List<Online_Coupon> GetOnlineCouponForName(List<string> name);
        int UpdateCouponQuota(int couponId, int quota);
        
    }
}
